<template>
      <div class="card">
                            <div class="card-header border-transparent">
                                <h3 class="card-title">Latest Orders</h3>
                                <div class="card-tools">
                                    <button type="button" class="btn btn-tool" data-card-widget="collapse">
                                        <i class="fas fa-minus"></i>
                                    </button>

                                </div>
                            </div>
                                        <div class="card-body p-0">
                <div class="table-responsive">
                    <table class="table m-0">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>Reg.</th>
                                <th class="d-none d-md-block">Nama</th>
                                <th>Perusahaan</th>
                                <th class="d-none d-md-block">Uraian</th>
                                <th>Status</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr v-for="(data,index) in workingpermit">
                                <td>{{indexGlobal + index + 1}}</td>
                                <td >{{data.no_reg}}</td>
                                <td class="d-none d-md-block">{{data.nama_pemohon}}</td>
                                <td >{{data.nama_perusahaan}}</td>
                                <td class="d-none d-md-block">{{data.uraian_pekerjaan}}</td>
                                <td >{{data.status}}</td>
                                <td class="project-actions">
                                      <a class="btn btn-info btn-sm" href="#"  @click.prevent=
                                                    "selectWorkingPermit(data);sendParentWorkingPermit('edit')">
                                          <i class="fas fa-pencil-alt">
                                          </i>
                                      </a>
                                      <a class="btn btn-danger btn-sm" href="#" @click.prevent=
                                                    "deleteWorkingPermit(data);">
                                          <i class="fas fa-trash">
                                          </i>
                                      </a>
                                  </td>

                            </tr>
                        </tbody>
                    </table>
                    <pagination :current_page="currentPage" :row_count_page="rowCountPage" @page-update="pageUpdate" :total_users="totalData" :page_range="pageRange"></pagination>
                </div>   
      </div>
                            <div class="card-footer clearfix">
                                <!-- <a href="javascript:void(0)" @click.prevent="addNewWorkingPermit()"class="btn btn-sm btn-info float-right">Add New Working Permit</a> -->
                            </div>
                        </div>
</template>

<script>
 //dynamic url
let myUrl = window.location.origin+"/";

if(myUrl.includes("localhost")){
  var pathArray = window.location.pathname.split( '/' );
 
}
    export default {
            data() {
                 return {
                    url: myUrl,
                    emptyResult: false,
                    successMSG: '',
                    totalData:0,
                    currentPage: 0,
                    rowCountPage: 5,
                    pageRange: 2,
                    workingpermit:{},
                    choosedWorkingPermit:{},
                    indexGlobal:0,
                    datetime:''
                    
                 }

            },
            created(){
                this.showAll()
            },
            methods:{  
                     
                    deleteWorkingPermit(data){
                        this.choosedWorkingPermit = data
                        let self = this
                        axios.post(this.url+"/admin/workingpermit/delete/"+this.choosedWorkingPermit.id).then(function(response){
                                 if(!response.data.error){
                                        self.showAll()    
                                    }
                        })
                    },
                     selectWorkingPermit(data){
                        this.choosedWorkingPermit = data
                    },
                    sendParentWorkingPermit(action){
                         let dataEmit ={
                                    dataWorkingPermit : this.choosedWorkingPermit,
                                    action:action                                 
                                }
                         this.$emit('data-workingpermit', dataEmit)
                    },
                    refresh(){
                        this.showAll() //for preventing
                    },
                    showAll(){
                        let id = document.getElementById('idUser').value;
                        if (typeof id === "undefined"){
                            id=""
                        }
                        let self = this
                        axios.get(this.url+"/admin/workingpermit/showall").then(function(response){
                                 console.log(response.data)
                                 if(response.data == null){
                                        self.workingpermit={}    
                                        console.log("error show all")
                                    }else{
                                        self.getData(response.data)
                                    }
                        })
                    },
                    getData(value){
                        this.emptyResult = false // become false if has a record
                        this.totalData = value.length //get total of user
                        this.workingpermit = value.slice(this.currentPage * this.rowCountPage, (this.currentPage * this.rowCountPage) + this.rowCountPage) //slice the result for pagination
                        
                         // if the record is empty, go back a page
                        if(this.workingpermit.length == 0 && this.currentPage > 0){ 
                            this.pageUpdate(self.currentPage - 1)
                            this.clearAll()  
                        }
                    },
                    pageUpdate(pageNumber){

                        this.currentPage = pageNumber //receive currentPage number came from pagination template
                        this.indexGlobal = this.currentPage * this.rowCountPage
                        this.refresh()  
                    },
                    

        }
    }
</script>
